import request from "./core/request";

export function getApplicationList() {
  return request.post("/hncy/matterInfo/listByUser");
}

export function saveApplyItem(data: any) {
  return request.post("/hncy/record/createApplicantRecord", {
    data: data,
  });
}

export function startExamine(data: any) {
  return request.post("/hncy/flow/start", {
    data,
  });
}

export function completeExamine(data: any) {
  return request.post("/hncy/flow/complete", {
    data,
  });
}

export function completeNoAuthExamine(data: any) {
  return request.post("/hncy/flow/complete-no-auth", {
    data,
  });
}
/** 查询申请记录 */
export function getExamineProgress(data: any) {
  return request.post("/hncy/record/listByClientUser", {
    params: data,
  });
}

export function getApplicationFormDetail(data: any) {
  return request.post("/hncy/record/getUserClientDetails", {
    params: { id: data },
  });
}

export function getApplicationNodeConfig(data: any) {
  return request.get("/hncy/flow/apply-element-info", {
    params: { id: data },
  });
}
