import { RespListResult } from "./core/interface";
import request from "./core/request";

/** 上传文件 */
export function upload(formData: FormData) {
  return request.post("/oss/upload", {
    params: {
      bucketName: "cgtf",
    },
    body: formData,
    requestType: "form",
  });
}

/** 获取全部用户 */
export function getAllUser() {
  return request.post<RespListResult<API.StaffInfo>>(
    "/hncy/others/queryAllUser",
    {
      params: {
        allFlag: true,
      },
    }
  );
}
